---
title: Ukončení vývoje STM
date: 2014-07-27 12:39 UTC
---

<p>
    Po důkladné rozvaze jsem rozhodl, že už dál nebudu STM vyvíjet. Aktuální verze 2.0
    je ale stále funkční a můžete ji používat, pouze už nebudou vydávány nové verze a 
    opravovány chyby (které stejně nikdo nehlásil :). Dokud STM poběží na
    <a href="http://www.sokolmorasice.g6.cz/">morašickém webu</a>, tak bude funkční i tento
    web, pak je možné, že bude web zrušen. Zdrojové kódy aplikace budou vždy
    dostupné na <a href="https://gitlab.com/groups/zdenekdrahos-upce/stm/-/archived" target="_blank">Gitlabu</a>.
</p>

<h2>Jak STM vzniklo?</h2>
<p>
    Počátkem vývoje byla nutnost automatizace správy výsledků na webu 
    TJ Sokol Morašice a během turnajů od Sokola Makov. To lze časově zařadit na počátek
    roku 2011. Hned jsem věděl, že bude potřeba generovat rozpis, a tak v únoru
    2011 vznikl <a href="http://www.online-generator-rozpisu.g6.cz/">online generátor rozpisů</a>.
    V červnu 2012 jsem obhájil aplikaci jako bakalářku a na konci srpna jsem 
    zveřejnil první verzi STM. Na ní minulý rok navázala verze 2.0.
</p>

<h2>Proč vývoj končí?</h2>        
<p>
    Ať už z pohledu zvenku při používání aplikace nebo při pohledu dovnitř do kódu
    si lze všimnout nadměrné složitosti. Práce s STM se nedá nazvat moc intuitivní, ani
    jednoduchá. Zřejmě i z toho důvodu nikdy nepřišla větší reakce od někoho "cizího", STM se
    nijak nerozšířilo a mám pocit, že ho používám hlavně jenom já.
    Cena za dostání STM na úroveň, se kterou bych byl
    spokojen, je moc velká. Proto už nechci investovat svůj čas do vývoje aplikace.
</p>

<h2>Čím STM nahradit?</h2>
<p>
    Jak už bylo řečeno, tak STM dál poběží na morašickém webu. Pro turnaje od Sokola
    Makov se už používá <a href="http://www.rozpisyzapasu.cz/vysledky/">aplikace z www.rozpisyzapasu.cz</a>.
    Tato aplikace řeší hlavní problém STM, tj. jednoduchá a nenáročná správa výsledků. Pokud pořádáte turnaje
    a výsledky zveřejňujete po skončení turnaje, tak by vám aplikace mohla vyhovovat.
    Jinak můžete zkusit STM nebo se poohlédněte po jiném webovém správci výsledků.
</p>